Subject: Re: bug#73568: 30.0.91; which-key error in speedbar (wrong-type-argument wholenump -13)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 02 Oct 2024 10:18:29 +0300

> Cc: [email-masked], Morgan Willcock <[email-masked]>
> From: Justin Burkett <[email-masked]>
> Date: Tue, 1 Oct 2024 22:01:12 -0400
> 
> Thanks. Can you try the attached patch for the first problem?

Could you use string-pixel-width there instead of
which-key--col-widths?  If not, why not?

> I'm not sure what the best approach is with speedbar. I'm inclined to
> disable which-key for that case, but maybe showing which-key in the
> original frame is better?

I vote for the latter.

Thanks.